| Home | Libraries | People | FAQ | More

##### erase_key

###### Description

Returns the result type of `erase_key`, given the sequence and key types.

###### Synopsis

    template<
        typename Sequence,
        typename Key
        >
    struct erase_key
    {
        typedef unspecified type;
    };

Table 1.84. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Associative Sequence | Operation's argument
`Key` | Any type | Key type

###### Expression Semantics

    result_of::erase_key<Sequence, Key>::type

Return type: A model of Associative Sequence.

Semantics: Returns a sequence with the elements of `Sequence`, except those with key `Key`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/erase_key.hpp>
    #include <boost/fusion/include/erase_key.hpp>